#
# spec file for package perl-Devel-CheckOS
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Devel-CheckOS
Name:           perl-Devel-CheckOS
Version:        2.40.0
Release:        1.6
# 2.04 -> normalize -> 2.40.0
%define cpan_version 2.04
#Upstream: SUSE-Public-Domain
License:        Artistic-1.0 OR GPL-2.0-only
Summary:        Check what OS we're running on
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DC/DCANTRELL/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.64
BuildRequires:  perl(File::Find::Rule) >= 0.28
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warnings)
Requires:       perl(File::Find::Rule) >= 0.28
Requires:       perl(File::Temp) >= 0.19
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Test::Warnings)
Provides:       perl(Devel::AssertOS) = 1.21
Provides:       perl(Devel::AssertOS::AIX) = 1.2
Provides:       perl(Devel::AssertOS::Alias::MacOS) = 1.0
Provides:       perl(Devel::AssertOS::Amiga) = 1.2
Provides:       perl(Devel::AssertOS::Android) = 1.2
Provides:       perl(Devel::AssertOS::Apple) = 1.3
Provides:       perl(Devel::AssertOS::BSDOS) = 1.2
Provides:       perl(Devel::AssertOS::BeOS) = 1.4
Provides:       perl(Devel::AssertOS::Bitrig) = 1.0
Provides:       perl(Devel::AssertOS::Cygwin) = 1.3
Provides:       perl(Devel::AssertOS::DEC) = 1.4
Provides:       perl(Devel::AssertOS::DGUX) = 1.2
Provides:       perl(Devel::AssertOS::DragonflyBSD) = 1.2
Provides:       perl(Devel::AssertOS::Dynix) = 1.2
Provides:       perl(Devel::AssertOS::EBCDIC) = 1.0
Provides:       perl(Devel::AssertOS::FreeBSD) = 1.2
Provides:       perl(Devel::AssertOS::GNUkFreeBSD) = 1.1
Provides:       perl(Devel::AssertOS::HPUX) = 1.2
Provides:       perl(Devel::AssertOS::HWCapabilities::Int32) = 1.0
Provides:       perl(Devel::AssertOS::HWCapabilities::Int64) = 1.0
Provides:       perl(Devel::AssertOS::Haiku) = 1.1
Provides:       perl(Devel::AssertOS::Hurd) = 1.0
Provides:       perl(Devel::AssertOS::Interix) = 1.2
Provides:       perl(Devel::AssertOS::Irix) = 1.2
Provides:       perl(Devel::AssertOS::Linux) = 1.3
Provides:       perl(Devel::AssertOS::Linux::Alma) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Alpine) = 1.100.0
Provides:       perl(Devel::AssertOS::Linux::Arch) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Centos) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Debian) = 1.2
Provides:       perl(Devel::AssertOS::Linux::Devuan) = 1.100.0
Provides:       perl(Devel::AssertOS::Linux::Elementary) = 1.100.0
Provides:       perl(Devel::AssertOS::Linux::Fedora) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Gentoo) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::NixOS) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::OpenSUSE) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Oracle) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::PopOS) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::RHEL) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Raspbian) = 1.100.0
Provides:       perl(Devel::AssertOS::Linux::RealDebian) = 1.100.0
Provides:       perl(Devel::AssertOS::Linux::Redhat) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Rocky) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::SLES) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::SUSE) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Slackware) = 1.0.0
Provides:       perl(Devel::AssertOS::Linux::Ubuntu) = 1.200.0
Provides:       perl(Devel::AssertOS::Linux::UnknownDebianLike) = 1.0
Provides:       perl(Devel::AssertOS::Linux::v2_6) = 1.3
Provides:       perl(Devel::AssertOS::MPEiX) = 1.2
Provides:       perl(Devel::AssertOS::MSDOS) = 1.2
Provides:       perl(Devel::AssertOS::MSWin32) = 1.3
Provides:       perl(Devel::AssertOS::MSYS) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX) = 1.3
Provides:       perl(Devel::AssertOS::MacOSX::v10_0) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_1) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_10) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_11) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_12) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_13) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_14) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_15) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_2) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_3) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_4) = 1.4
Provides:       perl(Devel::AssertOS::MacOSX::v10_5) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_6) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_7) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_8) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v10_9) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v11) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v12) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v13) = 1.0
Provides:       perl(Devel::AssertOS::MacOSX::v14) = 1.0.0
Provides:       perl(Devel::AssertOS::MacOSclassic) = 1.2
Provides:       perl(Devel::AssertOS::MachTen) = 1.2
Provides:       perl(Devel::AssertOS::MicrosoftWindows) = 1.4
Provides:       perl(Devel::AssertOS::MidnightBSD) = 1.1
Provides:       perl(Devel::AssertOS::Minix) = 1.0
Provides:       perl(Devel::AssertOS::MirOSBSD) = 1.2
Provides:       perl(Devel::AssertOS::NeXT) = 1.2
Provides:       perl(Devel::AssertOS::NetBSD) = 1.2
Provides:       perl(Devel::AssertOS::Netware) = 1.2
Provides:       perl(Devel::AssertOS::OS2) = 1.1
Provides:       perl(Devel::AssertOS::OS390) = 1.2
Provides:       perl(Devel::AssertOS::OS400) = 1.2
Provides:       perl(Devel::AssertOS::OSF) = 1.2
Provides:       perl(Devel::AssertOS::OSFeatures::POSIXShellRedirection) = 1.4
Provides:       perl(Devel::AssertOS::OSFeatures::Systemd) = 1.0
Provides:       perl(Devel::AssertOS::OpenBSD) = 1.2
Provides:       perl(Devel::AssertOS::POSIXBC) = 1.2
Provides:       perl(Devel::AssertOS::QNX) = 1.2
Provides:       perl(Devel::AssertOS::QNX::Neutrino) = 1.1
Provides:       perl(Devel::AssertOS::QNX::v4) = 1.1
Provides:       perl(Devel::AssertOS::RISCOS) = 1.2
Provides:       perl(Devel::AssertOS::Realtime) = 1.2
Provides:       perl(Devel::AssertOS::SCO) = 1.2
Provides:       perl(Devel::AssertOS::Solaris) = 1.2
Provides:       perl(Devel::AssertOS::Sun) = 1.3
Provides:       perl(Devel::AssertOS::SunOS) = 1.2
Provides:       perl(Devel::AssertOS::SysVr4) = 1.2
Provides:       perl(Devel::AssertOS::SysVr5) = 1.2
Provides:       perl(Devel::AssertOS::Unicos) = 1.2
Provides:       perl(Devel::AssertOS::Unix) = 1.6
Provides:       perl(Devel::AssertOS::VMESA) = 1.2
Provides:       perl(Devel::AssertOS::VMS) = 1.2
Provides:       perl(Devel::AssertOS::VOS) = 1.2
Provides:       perl(Devel::AssertOS::iOS) = 1.0
Provides:       perl(Devel::CheckOS) = %{version}
Provides:       perl(Devel::CheckOS::Helpers::LinuxOSrelease) = 1.0.0
%undefine       __perllib_provides
%{perl_requires}

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

It spares perl the embarrassment of wearing its pants on its head by
covering them with a splendid Fedora.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc CHANGELOG README TODO
%license ARTISTIC.txt GPL2.txt

%changelog
* Sun Jun 23 2024 Tina Müller <tina.mueller@suse.com>
- updated to 2.40.0 (2.04)
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  2.04    2024-05-22
  - Add detection for a load of Linux distributions
  2.03    2024-05-19
  - Temporarily skip os-release tests because they don't work on Redhat. The fix is
    already in branch more-os-release. Only the Linux::Ubuntu module uses
    /etc/os-release right now, and that passes in CI.
  2.02    2024-05-15
  - Read /etc/os-release to detect Ubuntu instead of shelling out to `lsb_release`
    there will be further updates in the future to do the same on other Linux distros
  2.01    2024-05-02
  - Fix typos in docoumentation
  2.00    2024-05-01
  - list_* no longer have special behaviour when called in scalar context. This has
    been deprecated since version 1.90;
  - Add Devel::AssertOS::MacOSX::v14 (Sonoma)
* Sun Feb  5 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.96
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.96    2023-02-04
  - Add Devel::AssertOS::MacOSX::v13
  - Add Devel::AssertOS::OSFeatures::Systemd
* Sun Oct 30 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.95
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.95    2022-10-29
  - Add Devel::AssertOS::HWCapabilities::Int{32,64}
* Mon Jul 25 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.94
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.94    2022-07-27
  - Add Mac OS 12 (Monterey)
* Tue Apr 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.93
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.93    2022-04-25
  - No functional changes, just changes to where dependencies are declared
    https://github.com/DrHyde/perl-modules-Devel-CheckOS/issues/27
  1.92    2022-04-24
  - Fix bugs in new alias and case-insensitivity features which meant everything
    broke in taint-mode. The new features now no longer work in taint-mode but
    everything else should.
  1.91    2022-04-21
  - Fix tests for platforms where the OS is detected as something that is
    a family, but not as anything more specific, such as Fedora Linux
  1.90    2022-04-20
  - Matches are now case-insensitive
  - Add support for OS aliases
  - Deprecated the list_* functions being context sensitive, they now warn
    when called inappropriately. They will stop being context-sensitive some
    time after April 2024.
* Wed May 26 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.87
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.87    2021-05-25
  - Add support for Devuan Linux
  1.86    2021-05-20
  - Belatedly add doco on Debian family to Families.pod
  - Add Mac OS 11 (Big Sur)
* Fri Oct 16 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.85
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.85    2020-10-15      Add Linux::Raspbian and Linux::Ubuntu;
    Add Linux::RealDebian for *actual* Debian Linux;
    Add Linux::UnknownDebianLike for anything else that's like Debian;
    Linux::Debian has become a family that includes all the above
* Tue Oct  6 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.84
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.84    2020-10-05      Add some more versions of MacOS;
    Note change of name Mac OS X -> MacOS, but don't
    change the module name for backward compatibility;
    Add MSYS (reported by perl in MinGW environments)
* Sun Feb 16 2020 <timueller+perl@suse.de>
- updated to 1.83
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.83    2020-02-15      Remove dependency on Data::Compare, which in turn
    depends on non-pure-perl XS in CLone.pm
  1.82    2020-02-15      Fix build bug affecting perl 5.8 when AUTOMATED_TESTING
    is set (https://github.com/DrHyde/perl-modules-Devel-CheckOS/pull/23)
* Wed Feb  7 2018 coolo@suse.com
- updated to 1.81
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.81    2018-01-23      Restore 5.6 and 5.8 compatibility;
    Cope better in tests when @INC is humungous
* Thu May 25 2017 coolo@suse.com
- updated to 1.80
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.80    2017-05-24      Fix bug where tests would fail if
    AUTOMATED_TESTING=1 on perl 5.26 and higher;
    For some reason that made it break on 5.8.9,
    but I don't really care
* Mon Oct 31 2016 coolo@suse.com
- updated to 1.79
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.79    2016-10-30      Fix another minor bug
    (https://github.com/DrHyde/perl-modules-Devel-CheckOS/issues/17)
  1.78    2016-10-30      Fix an isue that made it uninstallable on some
    systems (https://github.com/DrHyde/perl-modules-Devel-CheckOS/issues/16)
* Sun Oct 23 2016 coolo@suse.com
- updated to 1.77
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.77    2016-10-21      Add MacOSX:v10_11 and ..._12
* Wed Apr 15 2015 coolo@suse.com
- updated to 1.76
  see /usr/share/doc/packages/perl-Devel-CheckOS/CHANGELOG
  1.76    2015-03-13      Add GNU Hurd
  1.75    2015-03-08      Add Minix and iOS;
    Correct ancient typo in Apple family that no-one
    has ever noticed because no-one uses 'classic'
    Mac OS;
    Various 'kwalitee' improvements from Dale Evans
  1.74    2015-03-04      Add Linux::Debian;
    Add MacOSX::v10_*;
    Add perl 5.6.2 support
    all the above thanks to Dale Evans
  1.73    2014-08-01      Add support for Android
  1.72    2014-04-16      Add support for Bitrig, an OpenBSD fork;
    Check $^O case-insensitively as some OSes
    aren't particularly consistent
* Tue Mar 18 2014 coolo@suse.com
- updated to 1.71
    Bugfix, better tests for negative assertions
    Add support for negative assertions in Devel::AssertOS
* Wed Apr 27 2011 coolo@opensuse.org
- updated to 1.64
  * Add support for GNU/kFreeBSD
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.63
  * created by cpanspec 1.78.03
